Loading...
Searching...
No Matches
juce::universal_midi_packets::ToUMP2Converter Struct Reference

`#include <juce_UMPConverters.h>`

## Public Member Functions

template<typename Fn>
void | convert (const BytestreamMidiView &m, Fn &&fn)
template<typename Fn>
void | convert (const View &v, Fn &&fn)
void | reset ()

## Public Attributes

Midi1ToMidi2DefaultTranslator | translator

## Detailed Description

Allows conversion from bytestream- or Universal MIDI Packet-formatted messages to MIDI 2.0 messages in UMP format.

Definition at line 54 of file juce_UMPConverters.h.

## Member Function Documentation

## convert() [1/2]

template<typename Fn>

void juce::universal_midi_packets::ToUMP2Converter::convert | ( | const BytestreamMidiView & | m,
|  | Fn && | fn )

inline

Definition at line 57 of file juce_UMPConverters.h.

## convert() [2/2]

template<typename Fn>

void juce::universal_midi_packets::ToUMP2Converter::convert | ( | const View & | v,
|  | Fn && | fn )

inline

Definition at line 66 of file juce_UMPConverters.h.

## reset()

void juce::universal_midi_packets::ToUMP2Converter::reset | ( |  | ) |

inline

Definition at line 71 of file juce_UMPConverters.h.

## Member Data Documentation

## translator

Midi1ToMidi2DefaultTranslator juce::universal_midi_packets::ToUMP2Converter::translator

Definition at line 76 of file juce_UMPConverters.h.

The documentation for this struct was generated from the following file:

- juce_UMPConverters.h